import React from 'react';
import type { Logger } from './logger';
import type { MongoLogId } from 'mongodb-log-writer';
export type { Logger } from './logger';
export declare function createNoopLogger(component?: string): Logger;
export declare const LoggerProvider: React.Provider<{
    createLogger(component: string): Logger;
}>;
export declare function createLoggerLocator(component: string): () => Logger;
export declare function useLogger(component: string): Logger;
type FirstArgument<F> = F extends (...args: [infer A, ...any]) => any ? A : F extends {
    new (...args: [infer A, ...any]): any;
} ? A : never;
export declare function withLogger<T extends ((...args: any[]) => any) | {
    new (...args: any[]): any;
}>(ReactComponent: T, component: string): React.FunctionComponent<Omit<FirstArgument<T>, 'logger'>>;
export declare function mongoLogId(id: number): MongoLogId;
export type { MongoLogWriter } from 'mongodb-log-writer';
//# sourceMappingURL=provider.d.ts.map